## systemsettings 5.21.4

=== debian/changelog ===
systemsettings (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:11:40 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               kirigami2-dev (>= 2.1~),
               libkf5activities-dev (>= 5.74.0~),
               libkf5activitiesstats-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5crash-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5itemviews-dev (>= 5.74.0~),
               libkf5kcmutils-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5package-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libkf5xmlgui-dev (>= 5.74.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.21.4~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.21.5

=== debian/changelog ===
systemsettings (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:04:34 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libkf5windowsystem-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.21.4~),
+               plasma-workspace-dev (>= 4:5.21.5~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1

## systemsettings 5.22.2

=== debian/changelog ===
systemsettings (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 19:00:05 +0100

systemsettings (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:12:49 +0100

systemsettings (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:55:04 +0100

## systemsettings 5.22.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "5.22.2")

project(systemsettings VERSION ${PROJECT_VERSION})
set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(GenerateExportHeader)
include(ECMQMLModules)
include(ECMQtDeclareLoggingCategory)
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    include(KDEGitCommitHooks)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)


find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets Quick Qml QuickWidgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    ItemViews
    ItemModels
    KCMUtils
    I18n
    KIO
    Service
    IconThemes
    WidgetsAddons
    WindowSystem
    XmlGui
    DBusAddons
    Config
    DocTools
    Package
    Declarative
    Activities
    ActivitiesStats
    GuiAddons # UrlHanlder hanldes help:/ urls
    Kirigami2
    QUIET
)

ecm_find_qmlmodule(org.kde.kcm 1.0)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

add_subdirectory(core)
add_subdirectory(app)
add_subdirectory(categories)
add_subdirectory(icons)
add_subdirectory(sidebar)
add_subdirectory(doc)

ecm_qt_install_logging_categories(EXPORT SYSTEMSETTINGS FILE systemsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== sidebar/CMakeLists.txt ===
set( sidebar_mode_srcs
     SidebarMode.cpp
     ToolTips/tooltipmanager.cpp
) 

add_library(systemsettings_sidebar_mode MODULE ${sidebar_mode_srcs})

kcoreaddons_desktop_to_json(systemsettings_sidebar_mode settings-sidebar-view.desktop)

target_link_libraries(systemsettings_sidebar_mode systemsettingsview
    KF5::ItemViews
    KF5::ItemModels
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOWidgets
    KF5::Service
    KF5::XmlGui
    KF5::Package
    KF5::Declarative
    KF5::ActivitiesStats
    Qt::Qml
    Qt::Quick
    Qt::QuickWidgets
)

install( TARGETS systemsettings_sidebar_mode DESTINATION ${KDE_INSTALL_PLUGINDIR}/systemsettingsview )
install(DIRECTORY package/ DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kpackage/genericqml/org.kde.systemsettings.sidebar)

=== debian/changelog ===
systemsettings (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:57:34 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               kirigami2-dev (>= 5.82.0~),
               libkf5activities-dev (>= 5.82.0~),
               libkf5activitiesstats-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.82.0~),
               libkf5crash-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5declarative-dev (>= 5.82.0~),
               libkf5doctools-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5iconthemes-dev (>= 5.82.0~),
               libkf5itemviews-dev (>= 5.82.0~),
               libkf5kcmutils-dev (>= 5.82.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5package-dev (>= 5.82.0~),
               libkf5service-dev (>= 5.82.0~),
               libkf5widgetsaddons-dev (>= 5.82.0~),
               libkf5windowsystem-dev (>= 5.82.0~),
               libkf5xmlgui-dev (>= 5.82.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.22.2~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_install:
	dh_auto_install
	# drop development files
	rm -rf debian/systemsettings/usr/include/
	find debian/systemsettings -type l -name '*.so' -print -delete

## systemsettings 5.22.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.22.2")
+set(PROJECT_VERSION "5.22.3")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.0")

## systemsettings 5.22.5

=== debian/changelog ===
systemsettings (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:52:03 +0200

systemsettings (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:45:01 +0100

systemsettings (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libkf5windowsystem-dev (>= 5.82.0~),
                libkf5xmlgui-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.22.2~),
+               plasma-workspace-dev (>= 4:5.22.5~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1

## systemsettings 5.23.0

=== debian/changelog ===
systemsettings (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:54:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.82.0~),
                gettext,
@@ -17,18 +17,22 @@
                libkf5dbusaddons-dev (>= 5.82.0~),
                libkf5declarative-dev (>= 5.82.0~),
                libkf5doctools-dev (>= 5.82.0~),
+               libkf5guiaddons-dev (>= 5.82~),
                libkf5i18n-dev (>= 5.82.0~),
                libkf5iconthemes-dev (>= 5.82.0~),
+               libkf5itemmodels-dev (>= 5.82~),
                libkf5itemviews-dev (>= 5.82.0~),
                libkf5kcmutils-dev (>= 5.82.0~),
                libkf5kio-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82~),
                libkf5package-dev (>= 5.82.0~),
+               libkf5runner-dev (>= 5.82~),
                libkf5service-dev (>= 5.82.0~),
                libkf5widgetsaddons-dev (>= 5.82.0~),
                libkf5windowsystem-dev (>= 5.82.0~),
                libkf5xmlgui-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.22.5~),
+               plasma-workspace-dev (>= 4:5.23.0~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1

## systemsettings 5.23.3

=== debian/changelog ===
systemsettings (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:20:00 +0000

systemsettings (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:52:29 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf5windowsystem-dev (>= 5.82.0~),
                libkf5xmlgui-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.23.0~),
+               plasma-workspace-dev (>= 4:5.23.3~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1

## systemsettings 5.23.4

=== debian/changelog ===
systemsettings (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:59:00 +0000

systemsettings (4:5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:19:37 +0000

systemsettings (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:43:49 +0900

systemsettings (4:5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:04 +0900

systemsettings (4:5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.0 (no changes needed).

  [ Norbert Preining ]
  * Tighten B-D of plasma-workspace.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Oct 2021 23:58:47 +0200

systemsettings (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:16 +0900

systemsettings (4:5.21.5-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add qml-module-org-kde-newstuff as a dependency as several settings
    cannot be accessed otherwise. Thx to LtWorf.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Sep 2021 11:56:02 +0200

systemsettings (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:25:30 +0200

systemsettings (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).
  * Tighten inter-plasma B-Ds.

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 19:32:55 +0200

systemsettings (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).
  * Tighten inter-plasma B-Ds.

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 20:53:54 +0200

systemsettings (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).
  * Bump inter-plasma dependencies.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:43 +0900

systemsettings (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).
  * Tigthen inter-plasma B-Ds.

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:51 +0900

systemsettings (4:5.21.1-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Tigthen inter-plasma build-depends.

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Feb 2021 06:33:58 +0900

systemsettings (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:41 +0900

systemsettings (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:28 +0900

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               gettext,
               kirigami2-dev (>= 5.86~),
               libkf5activities-dev (>= 5.86~),
               libkf5activitiesstats-dev (>= 5.86~),
               libkf5config-dev (>= 5.86~),
               libkf5crash-dev (>= 5.86~),
               libkf5dbusaddons-dev (>= 5.86~),
               libkf5declarative-dev (>= 5.86~),
               libkf5doctools-dev (>= 5.86~),
               libkf5guiaddons-dev (>= 5.86~),
               libkf5i18n-dev (>= 5.86~),
               libkf5iconthemes-dev (>= 5.86~),
               libkf5itemmodels-dev (>= 5.86~),
               libkf5itemviews-dev (>= 5.86~),
               libkf5kcmutils-dev (>= 5.86~),
               libkf5kio-dev (>= 5.86~),
               libkf5notifications-dev (>= 5.86~),
               libkf5package-dev (>= 5.86~),
               libkf5runner-dev (>= 5.86~),
               libkf5service-dev (>= 5.86~),
               libkf5widgetsaddons-dev (>= 5.86~),
               libkf5windowsystem-dev (>= 5.86~),
               libkf5xmlgui-dev (>= 5.86~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.23.4~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-newstuff,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.23.5

=== debian/changelog ===
systemsettings (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:42:50 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf5windowsystem-dev (>= 5.86~),
                libkf5xmlgui-dev (>= 5.86~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.23.4~),
+               plasma-workspace-dev (>= 4:5.23.5~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.23.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.22.3")
+set(PROJECT_VERSION "5.23.90")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.87")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
@@ -16,9 +17,10 @@
 include(GenerateExportHeader)
 include(ECMQMLModules)
 include(ECMQtDeclareLoggingCategory)
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    include(KDEGitCommitHooks)
-endif()
+include(KDEGitCommitHooks)
+
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055700)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
@@ -44,13 +46,16 @@
     XmlGui
     DBusAddons
     Config
-    DocTools
     Package
     Declarative
     Activities
     ActivitiesStats
-    GuiAddons # UrlHanlder hanldes help:/ urls
+    GuiAddons # UrlHanlder handles help:/ urls
     Kirigami2
+    Notifications
+    Runner
+    OPTIONAL_COMPONENTS
+    DocTools
     QUIET
 )
 
@@ -58,23 +63,22 @@
 
 find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-
 add_subdirectory(core)
 add_subdirectory(app)
 add_subdirectory(categories)
 add_subdirectory(icons)
 add_subdirectory(sidebar)
-add_subdirectory(doc)
+if(KF5DocTools_FOUND)
+    add_subdirectory(doc)
+endif()
+add_subdirectory(runner)
 
 ecm_qt_install_logging_categories(EXPORT SYSTEMSETTINGS FILE systemsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-endif()
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
systemsettings (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:21:08 +0000

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               kirigami2-dev (>= 5.90.0~),
               libkf5activities-dev (>= 5.90.0~),
               libkf5activitiesstats-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5itemmodels-dev (>= 5.90.0~),
               libkf5itemviews-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5package-dev (>= 5.90.0~),
               libkf5runner-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.23.90~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-newstuff,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.24.0

=== debian/changelog ===
systemsettings (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:29:41 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.23.90~),
+               plasma-workspace-dev (>= 4:5.24.0~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.24.1

=== debian/changelog ===
systemsettings (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:23:23 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.0~),
+               plasma-workspace-dev (>= 4:5.24.1~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.24.3

=== debian/changelog ===
systemsettings (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:16:54 +0000

systemsettings (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:04:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: systemsettings
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -32,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.1~),
+               plasma-workspace-dev (>= 4:5.24.3~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.24.4

=== app/CMakeLists.txt ===

include_directories( ToolTips )

set( systemsettings_SRCS
    main.cpp
    SettingsBase.cpp
    SettingsBase.h
    ToolTips/tooltipmanager.cpp
    ToolTips/tooltipmanager.h
     )

ecm_qt_declare_logging_category(systemsettings_SRCS HEADER systemsettings_app_debug.h IDENTIFIER SYSTEMSETTINGS_APP_LOG CATEGORY_NAME org.kde.systemsettings.app DESCRIPTION "systemsettings" EXPORT SYSTEMSETTINGS)

# port it it's in kdelibs4support
# kde4_add_app_icon( systemsettings_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/categories/preferences-system.png" )
kconfig_add_kcfg_files( systemsettings_SRCS BaseConfig.kcfgc )

add_executable(systemsettings ${systemsettings_SRCS})
target_compile_definitions(systemsettings PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries( systemsettings systemsettingsview
    KF5::Crash
    KF5::ItemViews
    KF5::KCMUtils
    KF5::I18n
    KF5::IconThemes
    KF5::KIOWidgets
    KF5::Service
    KF5::WindowSystem
    KF5::XmlGui
    KF5::DBusAddons
    KF5::ConfigGui
    KF5::QuickAddons
    KF5::GuiAddons # UrlHanlder handles help:/ urls
    PW::KWorkspace
)


add_custom_command(TARGET systemsettings POST_BUILD
                   COMMAND ${CMAKE_COMMAND} -E create_symlink systemsettings systemsettings5)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/systemsettings5 DESTINATION ${KDE_INSTALL_FULL_BINDIR}/ )

install( TARGETS systemsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES systemsettings.kcfg DESTINATION ${KDE_INSTALL_DATADIR}/systemsettings )
install( FILES systemsettingsui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/systemsettings )
install( PROGRAMS kdesystemsettings.desktop systemsettings.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( DIRECTORY DESTINATION "${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel" )
install(
    CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \"${KDE_INSTALL_FULL_APPDIR}/systemsettings.desktop\" \"\$ENV{DESTDIR}${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel/systemsettings.desktop\")"
)
install(FILES org.kde.systemsettings.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== categories/CMakeLists.txt ===
install( FILES systemsettingscategory.desktop DESTINATION  ${KDE_INSTALL_KSERVICETYPES5DIR} )

install( FILES
    settings-appearance.desktop
    settings-appearance-color.desktop
    settings-appearance-font.desktop
    settings-appearance-icons.desktop
    settings-root-category.desktop

    settings-workspace.desktop
    settings-workspace-windowmanagement.desktop
    settings-workspace-desktopbehavior.desktop
    settings-workspace-shortcuts.desktop
    settings-workspace-session.desktop
    settings-workspace-search.desktop

    settings-personalization.desktop
    settings-personalization-accountdetails.desktop
    settings-personalization-accessibility.desktop
    settings-personalization-regionalsettings.desktop
    settings-personalization-notification.desktop
    settings-personalization-applications.desktop

    settings-network.desktop
    settings-network-networksettings.desktop
    settings-network-connectivity.desktop

    settings-hardware.desktop
    settings-hardware-display.desktop
    settings-hardware-input.desktop
    settings-hardware-multimedia.desktop
    settings-hardware-peripherals.desktop
    settings-hardware-powermanagement.desktop
    settings-hardware-removable-storage.desktop

    settings-system-administration.desktop

    DESTINATION  ${KDE_INSTALL_DATADIR}/systemsettings/categories)

if (NOT WIN32)
    install( FILES
         settings-network-bluetooth.desktop
         DESTINATION  ${KDE_INSTALL_DATADIR}/systemsettings/categories)
endif ()

=== debian/changelog ===
systemsettings (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:22:31 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.3~),
+               plasma-workspace-dev (>= 4:5.24.4~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.24.5

=== debian/changelog ===
systemsettings (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:50:44 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.4~),
+               plasma-workspace-dev (>= 4:5.24.5~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.24.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.23.90")
+set(PROJECT_VERSION "5.24.6")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.0")

=== core/CMakeLists.txt ===
set(systemsettingsview_LIB_SRCS
    BaseData.cpp
    BaseData.h
    BaseMode.cpp
    BaseMode.h
    ExternalAppModule.cpp
    ExternalAppModule.h
    kcmmetadatahelpers.h
    MenuItem.cpp
    MenuItem.h
    MenuModel.cpp
    MenuModel.h
    MenuProxyModel.cpp
    MenuProxyModel.h
    ModuleView.cpp
    ModuleView.h
)

ki18n_wrap_ui( systemsettingsview_LIB_SRCS externalModule.ui )

add_library( systemsettingsview ${systemsettingsview_LIB_SRCS} )
generate_export_header(systemsettingsview)

target_link_libraries( systemsettingsview
    KF5::ItemViews
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOWidgets
    KF5::Service
    KF5::IconThemes
    KF5::Activities
 )

set_target_properties( systemsettingsview PROPERTIES SOVERSION 3 )

install( TARGETS systemsettingsview ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(FILES
        systemsettingsview.desktop
        systemsettingsexternalapp.desktop
        infocenterexternalapp.desktop
    DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== debian/changelog ===
systemsettings (4:5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:07:08 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.5~),
+               plasma-workspace-dev (>= 4:5.24.6~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.24.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.24.6")
+set(PROJECT_VERSION "5.24.90")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.0")
@@ -15,7 +15,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(GenerateExportHeader)
-include(ECMQMLModules)
+include(ECMFindQmlModule)
 include(ECMQtDeclareLoggingCategory)
 include(KDEGitCommitHooks)
 
@@ -28,11 +28,12 @@
 add_definitions(-DQT_NO_CAST_TO_ASCII)
 
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Widgets Quick Qml QuickWidgets
 )
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+    Auth
     Crash
     ItemViews
     ItemModels
@@ -47,7 +48,6 @@
     DBusAddons
     Config
     Package
-    Declarative
     Activities
     ActivitiesStats
     GuiAddons # UrlHanlder handles help:/ urls

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,6 @@
     KF5::XmlGui
     KF5::DBusAddons
     KF5::ConfigGui
-    KF5::QuickAddons
     KF5::GuiAddons # UrlHanlder handles help:/ urls
     PW::KWorkspace
 )
@@ -43,7 +42,7 @@
 
 install( TARGETS systemsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
 install( FILES systemsettings.kcfg DESTINATION ${KDE_INSTALL_DATADIR}/systemsettings )
-install( FILES systemsettingsui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/systemsettings )
+install( FILES systemsettingsui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/systemsettings )
 install( PROGRAMS kdesystemsettings.desktop systemsettings.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
 install( DIRECTORY DESTINATION "${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel" )
 install(

=== debian/changelog ===
systemsettings (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:43:30 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.6~),
+               plasma-workspace-dev (>= 4:5.24.90~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.25.0

=== debian/changelog ===
systemsettings (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:07:51 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.90~),
+               plasma-workspace-dev (>= 4:5.25.0~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.25.1

=== debian/changelog ===
systemsettings (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:29:19 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.25.0~),
+               plasma-workspace-dev (>= 4:5.25.1~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.25.2

=== debian/changelog ===
systemsettings (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.25.1~),
+               plasma-workspace-dev (>= 4:5.25.2~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.25.3

=== debian/changelog ===
systemsettings (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:45:57 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.25.2~),
+               plasma-workspace-dev (>= 4:5.25.3~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0

## systemsettings 5.25.4

=== debian/changelog ===
systemsettings (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 11:01:59 +0100

systemsettings (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:35:37 +0200

systemsettings (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 18:01:26 +0100

systemsettings (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop now unused build dependency on libkf5declarative-dev.
  * Add missing dependency to qml-module-org-kde-kcmutils required by some
    KCMs.
  * Refresh lintian overrides.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:30:01 +0200

systemsettings (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:48:04 +0200

systemsettings (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:27:16 +0200

systemsettings (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:49:05 +0200

systemsettings (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:59 +0200

systemsettings (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:09:27 +0200

systemsettings (4:5.24.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing dependency qml-module-qtquick-shapes, otherwise user
    settings are not displayed at all.

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:07:59 +0100

systemsettings (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 22:00:12 +0100

systemsettings (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 18:37:25 +0100

systemsettings (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:59:13 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               gettext,
               kirigami2-dev (>= 5.94~),
               libkf5activities-dev (>= 5.94~),
               libkf5activitiesstats-dev (>= 5.94~),
               libkf5auth-dev (>= 5.94~),
               libkf5config-dev (>= 5.94~),
               libkf5crash-dev (>= 5.94~),
               libkf5dbusaddons-dev (>= 5.94~),
               libkf5doctools-dev (>= 5.94~),
               libkf5guiaddons-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5iconthemes-dev (>= 5.94~),
               libkf5itemmodels-dev (>= 5.94~),
               libkf5itemviews-dev (>= 5.94~),
               libkf5kcmutils-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5notifications-dev (>= 5.94~),
               libkf5package-dev (>= 5.94~),
               libkf5runner-dev (>= 5.94~),
               libkf5service-dev (>= 5.94~),
               libkf5widgetsaddons-dev (>= 5.94~),
               libkf5windowsystem-dev (>= 5.94~),
               libkf5xmlgui-dev (>= 5.94~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.25.4~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kcmutils,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-newstuff,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-shapes,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.25.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.24.90")
+set(PROJECT_VERSION "5.25.5")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.87")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.94")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
systemsettings (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:23:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: systemsettings
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -34,13 +33,13 @@
                libkf5windowsystem-dev (>= 5.94~),
                libkf5xmlgui-dev (>= 5.94~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.25.4~),
+               plasma-workspace-dev (>= 4:5.25.5~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/systemsettings
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
 Rules-Requires-Root: no
 
 Package: systemsettings
